import { EventEmitter, OnDestroy, TemplateRef } from '@angular/core';
import { IDatatableSetting } from '../interface/IDatatableSetting';
import { IHeader } from '../interface/IHeader';
import { IIdObject } from '../interface/IIdObject';
import { IRow } from '../interface/IRow';
export declare class DatatableComponent implements OnDestroy {
    rowTmpl: TemplateRef<any>;
    isShowCheckbox: boolean;
    isShowRowNumber: boolean;
    className: string;
    datatableSetting: IDatatableSetting;
    data: IIdObject[];
    sortCommand: EventEmitter<IHeader>;
    checkRowCommand: EventEmitter<string[]>;
    private sub;
    private datatableSetting$;
    private data$;
    rows: IRow[];
    footers: IRow[];
    headerChecked: boolean;
    constructor();
    ngOnDestroy(): void;
    private render;
    changeSort(sortInfo: IHeader): void;
    headerCheckIt(event: Event): void;
    rowCheckIt(event: Event, row: any): void;
    private checkAllCheckbox;
    private addRows;
    private addSummaryRow;
    private checkDatatableSetting;
}
